<?php
session_start();
require_once '../includes/firebase_init.php';

if (!isset($_SESSION['is_admin']) || !$_SESSION['is_admin']) {
    header('Location: ../login.php');
    exit();
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $currentPassword = $_POST['current_password'] ?? '';
    $newPassword = $_POST['new_password'] ?? '';
    
    try {
        $firebase = FirebaseInit::getInstance();
        $auth = $firebase->getAuth();
        
        // Verify current password by trying to sign in
        $auth->signInWithEmailAndPassword($_SESSION['email'], $currentPassword);
        
        // Update password
        $auth->changeUserPassword($_SESSION['user_id'], $newPassword);
        
        $message = 'Password updated successfully';
    } catch (Exception $e) {
        $error = $e->getMessage();
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Change Admin Password</title>
    <link rel="stylesheet" href="../styles.css">
</head>
<body>
    <div class="container">
        <h1>Change Admin Password</h1>
        
        <?php if (isset($message)): ?>
            <div class="alert alert-success"><?= $message ?></div>
        <?php endif; ?>
        
        <?php if (isset($error)): ?>
            <div class="alert alert-error"><?= $error ?></div>
        <?php endif; ?>
        
        <form method="POST" class="form">
            <div class="form-group">
                <label>Current Password:</label>
                <input type="password" name="current_password" required>
            </div>
            
            <div class="form-group">
                <label>New Password:</label>
                <input type="password" name="new_password" required minlength="8">
            </div>
            
            <button type="submit">Change Password</button>
        </form>
    </div>
</body>
</html> 