<?php
require_once '../includes/firebase_init.php';

// Admin credentials
$ADMIN_EMAIL = 'admin@rdp-checker.com';
$ADMIN_PASSWORD = 'your-secure-password'; // Change this to a secure password

try {
    $firebase = FirebaseInit::getInstance();
    $auth = $firebase->getAuth();
    $firestore = $firebase->getFirestore();

    // Create admin user in Firebase Auth
    try {
        $userRecord = $auth->createUser([
            'email' => $ADMIN_EMAIL,
            'password' => $ADMIN_PASSWORD,
            'emailVerified' => true
        ]);
    } catch (Exception $e) {
        // If user already exists, get their record
        $userRecord = $auth->getUserByEmail($ADMIN_EMAIL);
    }

    // Set admin data in Firestore
    $firestore->collection('users')->document($userRecord->uid)->set([
        'email' => $ADMIN_EMAIL,
        'role' => 'admin',
        'createdAt' => new \Google\Cloud\Core\Timestamp(new \DateTime()),
        'subscription' => [
            'type' => 'premium',
            'startDate' => new \Google\Cloud\Core\Timestamp(new \DateTime()),
            'endDate' => new \Google\Cloud\Core\Timestamp(new \DateTime('2099-12-31')),
            'ipLimit' => 999999
        ]
    ], ['merge' => true]);

    echo "Admin account created successfully!\n";
    echo "Email: $ADMIN_EMAIL\n";
    echo "Password: $ADMIN_PASSWORD\n";
    echo "Please change the password after first login.\n";

} catch (Exception $e) {
    echo "Error creating admin account: " . $e->getMessage() . "\n";
}
?> 