<?php
session_start();
require_once '../includes/firebase_init.php';

if (!isset($_SESSION['is_admin']) || !$_SESSION['is_admin']) {
    http_response_code(401);
    echo json_encode(['error' => 'Unauthorized']);
    exit();
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $data = json_decode(file_get_contents('php://input'), true);
    
    $firebase = FirebaseInit::getInstance();
    $firestore = $firebase->getFirestore();
    
    try {
        // Get plan details
        $planDoc = $firestore->collection('subscription_plans')->document($data['subscriptionType'])->snapshot();
        $planData = $planDoc->data();
        
        // Update user subscription
        $firestore->collection('users')->document($data['userId'])->update([
            ['path' => 'subscription.type', 'value' => $planData['name']],
            ['path' => 'subscription.endDate', 'value' => $data['endDate']],
            ['path' => 'subscription.ipLimit', 'value' => $planData['ip_limit']]
        ]);
        
        echo json_encode(['success' => true]);
    } catch (Exception $e) {
        http_response_code(500);
        echo json_encode(['error' => $e->getMessage()]);
    }
}
?> 