<?php
session_start();
require_once 'includes/firebase_init.php';

header('Content-Type: application/json');

if (!isset($_SESSION['authenticated'])) {
    http_response_code(401);
    echo json_encode(['error' => 'Unauthorized']);
    exit();
}

$firebase = FirebaseInit::getInstance();

try {
    if (!$firebase->verifySubscription($_SESSION['user_id'])) {
        http_response_code(403);
        echo json_encode(['error' => 'Subscription expired']);
        exit();
    }
    
    echo json_encode(['success' => true]);
} catch (Exception $e) {
    http_response_code(500);
    echo json_encode(['error' => $e->getMessage()]);
}
?> 