<?php
session_start();
require_once 'includes/firestore_helper.php';

if (!isset($_SESSION['authenticated'])) {
    http_response_code(401);
    echo json_encode(['error' => 'Unauthorized']);
    exit();
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $data = json_decode(file_get_contents('php://input'), true);
    $ip_id = $data['ip_id'];

    $firestoreHelper = new FirestoreHelper($_SESSION['user_id']);
    
    try {
        $firestoreHelper->deleteIpAddress($ip_id);
        echo json_encode(['success' => true]);
    } catch (Exception $e) {
        http_response_code(500);
        echo json_encode(['error' => $e->getMessage()]);
    }
}
?>
