<?php
require __DIR__ . '/../vendor/autoload.php';

use Kreait\Firebase\Factory;
use Kreait\Firebase\ServiceAccount;

class FirebaseAdmin {
    private static $instance = null;
    private $auth;
    private $firestore;

    private function __construct() {
        $serviceAccount = ServiceAccount::fromJsonFile(__DIR__ . '/../config/firebase-service-account.json');
        
        $factory = (new Factory)
            ->withServiceAccount($serviceAccount)
            ->withDatabaseUri('https://rdp-checker.firebaseio.com');

        $firebase = $factory->createFirebaseAuth();
        $this->auth = $firebase;
        $this->firestore = $factory->createFirestore();
    }

    public static function getInstance() {
        if (self::$instance == null) {
            self::$instance = new FirebaseAdmin();
        }
        return self::$instance;
    }

    public function getAuth() {
        return $this->auth;
    }

    public function getFirestore() {
        return $this->firestore;
    }
}
?> 