<?php
require_once 'firebase_admin.php';

class FirestoreHelper {
    private $firestore;
    private $userId;

    public function __construct($userId) {
        $this->firestore = FirebaseAdmin::getInstance()->getFirestore();
        $this->userId = $userId;
    }

    public function addIpAddress($ipAddress, $port, $url) {
        return $this->firestore->collection('users')
            ->document($this->userId)
            ->collection('ip_addresses')
            ->add([
                'ipAddress' => $ipAddress,
                'port' => $port,
                'url' => $url,
                'createdAt' => new \Google\Cloud\Core\Timestamp(new \DateTime())
            ]);
    }

    public function getIpAddresses() {
        $snapshot = $this->firestore->collection('users')
            ->document($this->userId)
            ->collection('ip_addresses')
            ->documents();

        $addresses = [];
        foreach ($snapshot as $doc) {
            $addresses[] = array_merge($doc->data(), ['id' => $doc->id()]);
        }
        return $addresses;
    }

    public function deleteIpAddress($ipId) {
        return $this->firestore->collection('users')
            ->document($this->userId)
            ->collection('ip_addresses')
            ->document($ipId)
            ->delete();
    }

    public function updateTelegramChatId($chatId) {
        return $this->firestore->collection('users')
            ->document($this->userId)
            ->update([
                ['path' => 'telegramChatId', 'value' => $chatId]
            ]);
    }
}
?> 