<?php
class SubscriptionFeatures {
    private static $features = [
        'free' => [
            'ip_limit' => 3,
            'check_interval' => 300, // 5 minutes
            'telegram_notifications' => true,
            'email_notifications' => false,
            'api_access' => false
        ],
        'basic' => [
            'ip_limit' => 10,
            'check_interval' => 60, // 1 minute
            'telegram_notifications' => true,
            'email_notifications' => true,
            'api_access' => false
        ],
        'premium' => [
            'ip_limit' => 50,
            'check_interval' => 30, // 30 seconds
            'telegram_notifications' => true,
            'email_notifications' => true,
            'api_access' => true,
            'custom_check_interval' => true
        ]
    ];
    
    public static function getFeatures($plan) {
        return self::$features[$plan] ?? self::$features['free'];
    }
    
    public static function hasFeature($plan, $feature) {
        return isset(self::$features[$plan][$feature]) && self::$features[$plan][$feature];
    }
    
    public static function getLimit($plan, $feature) {
        return self::$features[$plan][$feature] ?? null;
    }
} 