<?php
session_start();
include 'config.php';


        $_SESSION['authenticated'] = true;
        $_SESSION['user_id'] = $user['id'];
        header('Location: dashboard.php');
        exit();
    } else {
        $error = 'Invalid credentials';
    }
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login</title>
    <link rel="stylesheet" href="styles.css">
    
    <!-- Add Firebase SDK -->
    <script src="https://www.gstatic.com/firebasejs/11.0.2/firebase-app-compat.js"></script>
    <script src="https://www.gstatic.com/firebasejs/11.0.2/firebase-auth-compat.js"></script>
    <script src="public/firebase-config.js"></script>
</head>
<body>
    <div class="container">
        <h1>Login</h1>
        <div id="error" style="color: red;"></div>
        <form id="loginForm">
            <label for="username">Email:</label>
            <input type="email" id="username" name="username" required>
            <label for="password">Password:</label>
            <input type="password" id="password" name="password" required>
            <button type="submit">Login</button>
        </form>
    </div>

    <script>
        // Check if user is already signed in
        firebase.auth().onAuthStateChanged((user) => {
            if (user) {
                window.location.href = 'dashboard.php';
            }
        });

        document.getElementById('loginForm').addEventListener('submit', async (e) => {
            e.preventDefault();
            const email = document.getElementById('username').value;
            const password = document.getElementById('password').value;
            
            try {
                const userCredential = await firebase.auth().signInWithEmailAndPassword(email, password);
                const user = userCredential.user;
                
                // Get the Firebase ID token
                const idToken = await user.getIdToken();
                
                // Send token to your PHP backend
                const response = await fetch('verify_firebase_token.php', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json',
                    },
                    body: JSON.stringify({ idToken })
                });
                
                if (response.ok) {
                    window.location.href = 'dashboard.php';
                } else {
                    const data = await response.json();
                    throw new Error(data.error || 'Authentication failed');
                }
            } catch (error) {
                document.getElementById('error').textContent = error.message;
            }
        });
    </script>
</body>
</html>
