async function checkSubscription() {
    try {
        const user = firebase.auth().currentUser;
        if (user) {
            const idToken = await user.getIdToken();
            const response = await fetch('check_subscription.php', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                },
                body: JSON.stringify({ idToken })
            });
            
            if (!response.ok) {
                const data = await response.json();
                if (data.error === 'Subscription expired') {
                    window.location.href = 'subscription.php';
                }
            }
        }
    } catch (error) {
        console.error('Subscription check failed:', error);
    }
}

// Check subscription status periodically
setInterval(checkSubscription, 60000); // Check every minute 